org.eclipse.ease.ui.scripts

## Class ScriptStorage

- java.lang.Object
- - org.eclipse.ease.ui.scripts.ScriptStorage

Direct Known Subclasses:
  FileScriptStorage, WorkspaceScriptStorage

    public abstract class ScriptStorage
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ScriptStorage` `createStorage()`
`boolean` `exists(java.lang.String name)`
`java.lang.String` `getLocation()`
`boolean` `store(java.lang.String name, java.lang.String content)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createStorage

    public static ScriptStorage createStorage()

#### exists

    public boolean exists(java.lang.String name)

#### store

    public boolean store(java.lang.String name,
                         java.lang.String content)

#### getLocation

    public java.lang.String getLocation()